org.eclipse.mat.ui.internal.actions

## Class ExecuteQueryAction

- java.lang.Object
- - Action
  - - org.eclipse.mat.ui.internal.actions.ExecuteQueryAction

    public class ExecuteQueryAction
    extends Action

### Constructor Summary

Constructors
Constructor and Description
`ExecuteQueryAction(MultiPaneEditor editor, QueryDescriptor descriptor)`
`ExecuteQueryAction(MultiPaneEditor editor, String commandLine)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExecuteQueryAction

    public ExecuteQueryAction(MultiPaneEditor editor,
                              QueryDescriptor descriptor)

#### ExecuteQueryAction

    public ExecuteQueryAction(MultiPaneEditor editor,
                              String commandLine)

### Method Detail

#### run

    public void run()